Subject: [MMUSIC] Mismatch between sdp-bundle-negotiation and RFC5888

From: Roman Shpount <[email-masked]>
Date: Tue, 27 Nov 2018 19:07:17 -0500

Hi All,

I know this is a really late notice, but I think there is a slight mismatch
between RFC5888 and sdp-bundle.

RFC 5888 Section 9.2 (https://tools.ietf.org/html/rfc5888#section-9.2) says:

SIP entities refuse media streams by setting the port to zero in the
corresponding "m" line. "a=group" lines MUST NOT contain
identification-tags that correspond to "m" lines with the port set to zero.

Considering that sdp-bundle redefines the meaning of port zero when
'bundle-only' attribute is present, RFC5888 will need to be updated to
allow including bundle-only media streams in the "a=group" lines.

Regards,
_____________
Roman Shpount

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 28 Nov 2018 08:40:15 +0000

Hi,

> I know this is a really late notice, but I think there is a slight mismatch between RFC5888 and sdp-bundle.
>
>   SIP entities refuse media streams by setting the port to zero in the corresponding "m" line. "a=group" lines MUST NOT
>   contain identification-tags that correspond to "m" lines with the port set to zero.
>
> Considering that sdp-bundle redefines the meaning of port zero when 'bundle-only' attribute is present, RFC5888 will need
> to be updated to allow including bundle-only media streams in the "a=group" lines.

…or, one could argue that the text in RFC5888 only applies to the case when port zero is used to refuse a media stream.

Regards,

Christer

---

From: Roman Shpount <[email-masked]>
Date: Wed, 28 Nov 2018 13:05:36 -0500

On Wed, Nov 28, 2018 at 3:40 AM Christer Holmberg <
[email-masked]> wrote:

> corresponding "m" line. "a=group" lines MUST NOT
>
> 'bundle-only' attribute is present, RFC5888 will need
>
> …or, one could argue that the text in RFC5888 only applies to the case
> when port zero is used to refuse a media stream.
>
>
>
One could argue this, but the language in RFC 5888 is quite blunt.
_____________
Roman Shpount